
# api_cache_manager

API Cache Manager is a Utility package built with Flutter SDK and SQLite Package. This package will help to make your Rest API store in the local db for offline access.

[![pub package](https://img.shields.io/badge/api_cache_manager-v1.0.0-blue.svg)](https://pub.dartlang.org/packages/api_cache_manager)

## Features
- Offline Integration of Rest API.
- Faster Data rendering.
- Avoid Unnecessary HTTP Get Requests.
- App will work without Internet also.
- Speed up the application.

## Install
Add this to your pubspec.yaml file:
```yaml
dependencies:
  api_cache_manager: ^1.0.1
```

## Usage

The cache manager can be used to store the rest api data in the local db for offline access.

```
    var cacheData = await APICacheManager().addCacheData(APICacheDBModel);
```
`isAPICacheKeyExist(keyName)` returns true/false based on the key name.

`addCacheData(APICacheDBModel)` save the Rest API data in the local DB with APICacheDBModel(key, syncData).

`getCacheData(keyName)` return the cache data on the basis of key name.

`emptyCache` removes all the data from the cache. 

# Donate

> If you like my work, you can support me buying a cup of :coffee:
>
> - [PayPal](https://www.paypal.me/iSharpeners/)
> - [Patreon](https://www.patreon.com/SnippetCoder)

## Copyright & License

Code and documentation Copyright 2021 [SnippetCoder](https://www.youtube.com/SnippetCoder). Code released under the [Apache License](./LICENSE). Docs released under [Creative Commons](https://creativecommons.org/licenses/by/3.0/).